﻿using Microsoft.Owin;
using Owin;
using System.Configuration;

[assembly: OwinStartupAttribute(typeof(CatalogSupport.Startup))]
namespace CatalogSupport
{
    public partial class Startup
    {
        // App config settings
        private static string clientId = ConfigurationManager.AppSettings["ida:ClientId"];
        private static string aadInstance = ConfigurationManager.AppSettings["ida:AadInstance"];
        private static string tenant = ConfigurationManager.AppSettings["ida:Tenant"];
        public static string redirectUri = ConfigurationManager.AppSettings["ida:RedirectUri"];

        // B2C policy identifiers
        //public static string SignUpPolicyId = ConfigurationManager.AppSettings["ida:SignUpPolicyId"];
        //public static string SignInPolicyId = ConfigurationManager.AppSettings["ida:SignInPolicyId"];
        //public static string ProfilePolicyId = ConfigurationManager.AppSettings["ida:UserProfilePolicyId"];
        public static string SignInSignUpPolicyId = ConfigurationManager.AppSettings["ida:SignInSignUpPolicyId"];
        public static string PasswordResetPolicyId = ConfigurationManager.AppSettings["ida:PasswordReset"];

        public void Configuration(IAppBuilder app)
        {
            ConfigureAuth(app);
        }
    }
}
